> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/tr/gelistir/temel-ogeler/nasil-yapilir/cuzdan-gecmisi-sorgulama.md).

# Cüzdan Geçmişi Sorgulama

## Cüzdan Geçmişi Nedir?

Cüzdan geçmişi, bir kripto cüzdanıyla ilişkili tüm işlemlerin, hem alacakların hem de borçların eksiksiz kaydına atıfta bulunur.

## Moralis ile Nasıl Yapılır

Moralis'in kullanabileceğiniz bir Wallet API'si vardır ve cüzdan geçmişi kullanım senaryosu için hatta bir kod örneği de sunmaktadırlar:

* [Cüzdan geçmişini al](https://docs.moralis.io/web3-data-api/evm/reference/wallet-api/get-wallet-history)

Kod örneklerini uyarlamak için Ethereum referansını Chiliz Chain için kullandıkları kimlik olan `0x15b38` ile değiştirin:

```typescript
import Moralis from 'moralis';

try {
  await Moralis.start({
    apiKey: "YOUR_API_KEY"
  });

  const response = await Moralis.EvmApi.wallets.getWalletHistory({
    "chain": "0x15b38", // Bu Chiliz Chain Mainnet içindir.
                        // Spicy Testnet için "0x15b32" kullanın.
    "order": "DESC",
    "address": "0xYourWalletAddress"
  });

  console.log(response.raw);
} catch (e) {
  console.error(e);
}
```

## Tatum ile Nasıl Yapılır

Tatum'ın kullanabileceğiniz kapsamlı bir Veri API'si vardır ve cüzdan geçmişi kullanım senaryosu için hatta bir kod örneği de sunmaktadırlar:

* [Cüzdanın tüm işlemlerini al](https://docs.tatum.io/docs/get-all-transactions-on-the-wallet)

Kod örneklerini uyarlamak için Ethereum referansını Chiliz Chain ile değiştirin:

```typescript
// yarn add @tatumio/tatum
import {TatumSDK, Network, Chiliz, ResponseDto, AddressTransaction} from '@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const txs: ResponseDto<AddressTransaction[]> = await tatum.address.getTransactions({
  address: '0xYourWalletAddress', // adresinizle değiştirin
})

console.log(txs.data)
```

## thirdweb ile Nasıl Yapılır

thirdweb'in belgelerinde ilham kaynağı olarak kullanabileceğimiz çeşitli kısa kod örnekleri bulunmaktadır.

Ne yazık ki işlem işlevleri için özel fonksiyonları görünmemektedir, bu yüzden [Chiliz Scan API'sine](https://scan.chiliz.com/api-docs) başvuracağız.

```typescript
const { ThirdwebSDK } = require("@thirdweb-dev/sdk");
const axios = require("axios");

const sdk = new ThirdwebSDK("https://rpc.ankr.com/chiliz");
const walletAddress = "0xYourWalletAddress";

// ChilizScan API URL'si ve API anahtarınız (gerekli)
const CHILIZ_SCAN_API_URL = "https://api.chilizscan.com/api";
const API_KEY = "YourChilizScanAPIKey"; // İsteğe bağlı, API kimlik doğrulama gerektiriyorsa

async function getTransactionHistory() {
  try {
    const response = await axios.get(`${CHILIZ_SCAN_API_URL}?module=account&action=txlist&address=${walletAddress}&apikey=${API_KEY}`);
    const transactions = response.data.result;

    console.log(`Cüzdan işlem geçmişi ${walletAddress}:`, transactions);
  } catch (error) {
    console.error("İşlem geçmişi alınırken hata oluştu:", error);
  }
}

getTransactionHistory();
```

## Nodit ile Nasıl Yapılır

Nodit, [belgelerinde](https://developer.nodit.io/reference/chiliz-gettransactionsbyaccount) şu kod örneğini sunmaktadır:

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/blockchain/getTransactionsByAccount';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({
    accountAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045',
    relation: 'both',
    fromDate: '2025-01-01T00:00:00+00:00',
    toDate: '2025-01-31T00:00:00+00:00',
    withCount: false,
    withLogs: false,
    withDecode: false
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/tr/gelistir/temel-ogeler/nasil-yapilir/cuzdan-gecmisi-sorgulama.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
